Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Class NamedHandleObjectLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.jface.viewers.NamedHandleObjectLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider

    public final class NamedHandleObjectLabelProvider

extends LabelProvider

A label provider for instances of `NamedHandlerObject`, which exposes the name as the label.

Since:
  3.2

Constructor Summary
`NamedHandleObjectLabelProvider()`

Method Summary
`String` `getText(Object element)` The text of the element is simply the name of the element if its a defined instance of `NamedHandleObject`.

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`getImage`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### NamedHandleObjectLabelProvider

    public NamedHandleObjectLabelProvider()

Method Detail

### getText

    public final String getText(Object element)

  The text of the element is simply the name of the element if its a defined instance of `NamedHandleObject`. Otherwise, this method just returns `null`.

  Specified by:
    `getText` in interface `ILabelProvider`
  Overrides:
    `getText` in class `LabelProvider`
  Parameters:
    `element` - The element for which the text should be retrieved; may be `null`.
  Returns:
    the name of the handle object; `null` if there is no name or if the element is not a named handle object.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.